29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
TLS certificates
v1.6.2
Download OpenAPI
Get TLS organization
Retrieve a single DigiCert-backed TLS organization by its public organization id.
GET
/tls/organization/{organization_id}
TLSOrganizationsByID

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
organization_id
path
string
-
Required
Public TLS organization ID

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/tls/organization/hdl_7K9QW3M2ZT8HJ' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
TLS organization details
application/jsontlsOrganizationResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS organization not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "TLS organization not found",
  "error": "TLS organization not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Devenez membre de la communauté

L'API DNS Regfish est une excellente solution pour les développeurs qui souhaitent automatiser les domaines et les zones DNS. Faites partie de la communauté et bénéficiez de l'automatisation DNS. L'API DNS est disponible gratuitement pour chaque client Regfish.